%div.issue-form-holder
  %h3.page-title= @issue.new_record? ? t("projects_section.issues.new_issue") : t("projects_section.issues.edit_issue") + " ##{@issue.iid}"
  %hr

  - if @repository.exists? && !@repository.empty? && @repository.contribution_guide && !@issue.persisted?
    - contribution_guide_url = project_blob_path(@project, tree_join(@repository.root_ref, @repository.contribution_guide.name))
    .alert.alert-info.col-sm-10.col-sm-offset-2
      = t('projects_section.issues.please_review')
      %strong
        = link_to t("projects_section.issues.guidelines_for_contribution"), contribution_guide_url
      = t('projects_section.issues.to_this_repo')

  = form_for [@project, @issue], html: { class: 'form-horizontal issue-form' } do |f|
    -if @issue.errors.any?
      .alert.alert-danger
        - @issue.errors.full_messages.each do |msg|
          %span= msg
          %br
    .form-group
      = f.label :title, class: 'control-label' do
        %strong
          = t("projects_section.issues.title")
      .col-sm-10
        = f.text_field :title, maxlength: 255, class: "form-control js-gfm-input", autofocus: true, required: true
    .form-group
      = f.label :description, t("projects_section.issues.description"), class: 'control-label'
      .col-sm-10
        = f.text_area :description, class: 'form-control js-gfm-input markdown-area', rows: 14
        .col-sm-12.hint
          .pull-left 
            = t("projects_section.issues.issues_parsed_with")
            = link_to(t("projects_section.issues.gitlab_markdown"), help_page_path("markdown", "markdown"), target: '_blank') + "."
          .pull-right
            .markdown-selector
              = t("projects_section.issues.attach_images")
              = link_to t("projects_section.issues.selecting_them"), '#'
        .clearfix
        .error-alert
    %hr
    .form-group
      .issue-assignee
        = f.label :assignee_id, class: 'control-label' do
          %i.icon-user
          = t("projects_section.issues.assign_to")
        .col-sm-10
          = project_users_select_tag('issue[assignee_id]', placeholder: t("projects_section.issues.select_user"), class: 'custom-form-control', selected: @issue.assignee_id)
          &nbsp;
          = link_to t("projects_section.issues.assign_to_me"), '#', class: 'btn assign-to-me-link'
    .form-group
      .issue-milestone
        = f.label :milestone_id, class: 'control-label' do
          %i.icon-time
          = t("projects_section.issues.milestone")
        .col-sm-10= f.select(:milestone_id, milestone_options(@issue), { include_blank: t("projects_section.issues.select_milestone")}, {class: 'select2'})

    .form-group
      = f.label :label_list, class: 'control-label' do
        %i.icon-tag
        = t("projects_section.issues.labels")
      .col-sm-10
        = f.text_field :label_list, maxlength: 2000, class: "form-control"
        %p.hint
          = t("projects_section.issues.separate_labels_w_commas")



    .form-actions
      - if @issue.new_record?
        = f.submit t("projects_section.issues.submit_new_issue"), class: "btn btn-create"
      -else
        = f.submit t("projects_section.issues.save_changes"), class: "btn-save btn"

      - cancel_path = @issue.new_record? ? project_issues_path(@project) : project_issue_path(@project, @issue)
      = link_to t("projects_section.issues.cancel"), cancel_path, class: 'btn btn-cancel'

:javascript
  $("#issue_label_list")
    .bind( "keydown", function( event ) {
      if ( event.keyCode === $.ui.keyCode.TAB &&
        $( this ).data( "autocomplete" ).menu.active ) {
        event.preventDefault();
      }
    })
    .bind("click", function(event) {
      $(this).autocomplete("search", "");
    })
    .autocomplete({
      minLength: 0,
      source: function( request, response ) {
        response( $.ui.autocomplete.filter(
          #{raw labels_autocomplete_source}, extractLast( request.term ) ) );
      },
      focus: function() {
        return false;
      },
      select: function(event, ui) {
        var terms = split( this.value );
        terms.pop();
        terms.push( ui.item.value );
        terms.push( "" );
        this.value = terms.join( ", " );
        return false;
      }
    });

  $('.assign-to-me-link').on('click', function(e){
    $('#issue_assignee_id').val("#{current_user.id}").trigger("change");
    e.preventDefault();
  });

  window.project_image_path_upload = "#{upload_image_project_path @project}";
